Subject: Re: [RFC v3 00/11] HFI Virtual Network Interface Controller (VNIC)

From: Bart Van Assche <[email-masked]>
Date: Tue, 7 Feb 2017 21:28:59 +0000

On Tue, 2017-02-07 at 12:22 -0800, Vishwanathapura, Niranjana wrote:
> Intel Omni-Path Host Fabric Interface (HFI) Virtual Network Interface
> Controller (VNIC) feature supports Ethernet functionality over Omni-Path
> fabric by encapsulating the Ethernet packets between HFI nodes.

This may have been stated before, but what is missing from this description
is an explanation of why accepting an Ethernet over RDMA driver in the
upstream kernel is considered useful. We already have an IPoIB driver, so
why to add another driver to the kernel tree for communicating IP packets
over an RDMA network?

Bart.--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html